<?php
include_once("auth.php");
//include_once "base/toolbar.class.php";
include_once "db/dbElemento.class.php";
include_once "base/imagem.class.php";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//PT">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Images</title>
	
	<link rel="STYLESHEET" type="text/css" href="admin.css">
<script>
var campo="<?=$_REQUEST['campo']; ?>";

function escolhe(url){
	pai=eval("window.opener.document.dataform." + campo);
	pai.value=url;
	//window.opener.document.bgColor='white';
	self.close();
}

function muda(tipo, idCat){
	document.location.href="imagem.popup.php?campo="+campo+"&idCat=" + idCat;
}


function mudaOffset(offset){
document.location.href="main.php?campo="+campo+"&offset=" + offset;
}
</script>
</head>

<body >
<form enctype="multipart/form-data" name="dataform" action="imagem.popup.php" method="POST">
<?


class imagemPopup extends imagem{
	
	function imagemPopup(){
		$this->req=$_REQUEST;
		$this->req['limit']=20;
		
		$this->idCat=$this->req['idCat'];
		$this->tipo="imagem";
		
		if ($this->req['cmd']=="Novo"){ $this->novo();}
		else if ($this->req['cmd']=="Guardar"){ $this->guardar();}
		else $this->lista();

	}
	

	
	
	function lista(){
	
		$db= new dbElemento;
		/// mudar
		if (!$this->req['idCat']){
			$temp=$db->get("select min(id) as IDCAT from imagemCategoria");
			$this->req['idCat']=$temp[0]['IDCAT'];
			$this->idCat=$this->req['idCat'];
		}
				
		

		$campos=array("Nº"=>"id","Imagem"=>"imagem","Titulo"=>"titulo","Palavras"=>"palavras");
        
        
        
        $dados=$db->getLista("imagem", $this->idCat, $campos , "imagem", $this->req['ordem'] ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
        $this->req['total']=$db->getTotal("imagem", $this->idCat, $this->req['procurar'], $this->req['filtro']);
		
		$toolbar= new toolbar(); 
		$toolbar->botao("Novo");
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total']);
		$toolbar->ini();
		//$toolbar->filtro($this->tipo, $this->idCat, "titulo");
		$toolbar->categoria("imagem", "categoria", $this->idCat);
		$toolbar->procurar($this->req['procurar']);   //mudar para campo
		$toolbar->botao("procurar", 90);
		$toolbar->fim();
		
		$this->dados=$dados;
		$this->tabela();
	}
	

	function tabela(){
            $max= sizeof($this->dados);
			$i=0;
			?><table><?
			foreach($this->dados as $t){
                $linha=($i % 4)?"1":"0";
				
                if (($i % 2)==0) echo '<tr class="linha' . $linha . '">';
        
				echo "<td>";

				$this->imageTable($t);	
		
				if (($i % 2)==1)  echo "</td></tr>\n"; else   echo  "</td>";     
				$i++;
    		}
			?></table><?

    }
	
	
	function desc($label, $value, $link){
	?><table width="220" border="0">
      <tr>
        <td width="70" class="miniLabel"><?=$label?>:</td>
        <td width="150"><?=$link?><?=$value?></a></td>
      </tr>
    </table>    
	<? }
	
	
	function imageTable($t){
		
		//testar se ja existe
		//$meio="image";
		$db= new dbElemento;
		$temp=$db->getLinha("imagemCategoria", $this->req['idCat']);
		
		
		$image_name="../netimages/image/" . $temp['categoria'] ."/thumb/". $t["imagem"];
		$ori_image="../netimages/image/" . $temp['categoria'] ."/" . $t["imagem"];
		
		$size=@getimagesize($ori_image);
		$largura=$size[0];
		$altura=$size[1];
		//$image_name="../". dirname($t["imagem"]) ."/thumb/". basename($t["imagem"]);
		//print "$image_name<br>";
		if (!(file_exists($image_name))){
			//print "Nao encontrou";
			$img=new image();
			$thumb=$img->thumbnail2($ori_image,$image_name, 100,100);
		} else 
			$thumb=$image_name;
		
		$prepath="../";
		if (strstr($ori_image,$prepath)) {$ori_image=substr($ori_image,strlen($prepath));}
		
		$linkId="javascript:escolhe('" . $ori_image ."')";
		$linkEditar='<a href="'. $linkId . '">';
		//$linkApagar='<a href='. $linkId . "&cmd=apagar";		
		
			
		?><table width="320" border="0" cellpadding="0" cellspacing="0" class="miniTable">
		  <tr><td>&nbsp;</td></tr>
		  <tr>
			<td width="100" height="100" align="center" valign="middle">
			<?=$linkEditar?><img src="<?=$thumb?>" border="0"></a></td>
			<td width="220"><?
					$this->desc("Titulo", $t["titulo"], $linkEditar);
					$this->desc("Palavras", $t["palavras"], $linkEditar);
					$this->desc("Dimensões", $largura."x".$altura, $linkEditar);
					$this->desc("Nome", $t["imagem"], $linkEditar);
			?></td>
		  </tr>
		  
		</table>   
	<? }
	


}

$a=new imagemPopup;
?>
</form>
</body>
